FreeMat

- Main Page
- Related Pages

vtkVersion

Section: Visualization Toolkit Common Classes

# Usage

Holds methods for defining/determining the current vtk version (major, minor, build).

To create an instance of class vtkVersion, simply invoke its constructor as follows

      obj = vtkVersion

# Methods

The class vtkVersion has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVersion class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVersion = obj.NewInstance ()`
- `vtkVersion = obj.SafeDownCast (vtkObject o)`